%Objective function

function [f, g, H] = L(x,mu)
  n=length(x);
  if n == 2
    [of og oH] = objective(x);
    [c1f c1g c1H] = c1(x);
    [c2f c2g c2H] = c2(x);
    f = of + (mu/2)*(c1f)^2+ (mu/2)*(c2f)^2;
    g = og + (mu*c1f).*(c1g)+ (mu*c2f).*(c2g);
    H = oH+mu*(c1g*c1g' + c1f.*c1H)+mu*(c2g*c2g' + c2f.*c2H);
  end
end

 
